<?php
declare(strict_types=1);

namespace App\Entity\Education;

//use DH\Auditor\Provider\Doctrine\Auditing\Annotation\Auditable;
use Doctrine\ORM\Mapping as ORM;

/**
 * Classe ... qui ...
 */
//#[Auditable]
#[ORM\Entity]
class CustomNotation
{
    #[ORM\Id]
    #[ORM\Column]
    #[ORM\GeneratedValue]
    private ?int $id = null;

    #[ORM\ManyToOne(inversedBy: 'customNotation')]
    private CriteriaNotation $criteriaNotation;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getCriteriaNotation(): ?CriteriaNotation
    {
        return $this->criteriaNotation;
    }

    public function setCriteriaNotation(?CriteriaNotation $criteriaNotation): self
    {
        $this->criteriaNotation = $criteriaNotation;

        return $this;
    }
}